#
# spec file for package python-agate-excel
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-agate-excel
Version:        0.2.3
Release:        bp154.1.22
Summary:        Read support for Excel files (xls and xlsx) for agate
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/wireservice/agate-excel
Source:         https://github.com/wireservice/agate-excel/archive/%{version}.tar.gz
BuildRequires:  %{python_module agate >= 1.5.0}
BuildRequires:  %{python_module openpyxl >= 2.3.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xlrd >= 0.9.4}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-agate >= 1.5.0
Requires:       python-openpyxl >= 2.3.0
Requires:       python-xlrd >= 0.9.4
BuildArch:      noarch
%python_subpackages

%description
Agate-excel adds read support for Excel files (xls and xlsx)
to agate.

%prep
%setup -q -n agate-excel-%{version}

sed -i -e '/^#!\//, 1d' agateexcel/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS.rst README.rst
%license COPYING
%{python_sitelib}/*

%changelog
* Thu Apr 16 2020 Matej Cepl <mcepl@suse.com>
- Switch from using nosetest runner to pytest
* Mon Dec  2 2019 Todd R <toddrme2178@gmail.com>
- Disable python2 support due to dependencies dropping python2
  support.
- Don't use setup.py test
* Wed Apr 17 2019 pgajdos@suse.com
- version update to 0.2.3
  * Fix bug in accepting ``column_names`` as keyword argument.
  * Add a ``reset_dimensions`` argument to :meth:`.Table.from_xlsx`
    to recalculate the data's dimensions, instead of trusting those
    in the file's properties.
  * Include tests and examples in distribution.
  * agate-excel is now tested against Python 3.6 and 3.7.
  * Drop support for Python 3.3 (end-of-life was September 29, 2017).
  * Add support for openpyxl 2.6.0.
- deleted patches
  - no-column.patch (upstreamed)
  - row-offset.patch (upstreamed)
* Wed Feb 27 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to github tarball and enable tests
- Add patches from upstream git to pass the tests:
  * no-column.patch
  * row-offset.patch
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 0.2.2
  * Add an encoding_override argument to `.Table.from_xls` to
    override the encoding of the input XLS file.
  * Add a header argument to `.Table.from_xls` and
    `.Table.from_xlsx` to indicate the presence of a header row.
  * Add a read_only argument to `.Table.from_xlsx` to allo
    disabling read-only mode for some spreadsheets.
- Use license tag
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
